/* eslint-disable @typescript-eslint/no-var-requires */

/* eslint-disable dot-notation */

/* eslint-disable no-unused-expressions */
import { render } from '@testing-library/react';
import React from 'react';
import Popup from '../Popup';
describe('Popup', function () {
  describe('snapshot', function () {
    it('renders correctly', function () {
      var onMaskClick = jest.fn();
      var afterClose = jest.fn();
      var wrapper = render( /*#__PURE__*/React.createElement(Popup, {
        direction: "bottom",
        onMaskClick: onMaskClick,
        afterClose: afterClose,
        mountContainer: false
      }, "foo"));
      expect(wrapper.asFragment()).toMatchSnapshot();
    });
    it('renders mount node correctly', function () {
      var onMaskClick = jest.fn();
      var afterClose = jest.fn();
      var wrapper = render( /*#__PURE__*/React.createElement(Popup, {
        visible: true,
        direction: "bottom",
        onMaskClick: onMaskClick,
        afterClose: afterClose,
        mountContainer: function mountContainer() {
          return document.body;
        }
      }, "foo"));
      expect(wrapper.asFragment()).toMatchSnapshot();
    });
  });
});